<?php

namespace Islhd\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoryTransformer extends TransformerAbstract
{
    public function transform(\Islhd\Product\Models\Category $category)
    {
        return [
            'id'                => $category->getRouteKey(),
            'key'               => [
                'public'    => $category->getPublicKey(),
                'route'     => $category->getRouteKey(),
            ], 
            'slug'              => $category->slug,
            'name'              => $category->name,
            'details'           => $category->details,
            'image'             => $category->image,
            'user_id'           => $category->user_id,
            'user_type'         => $category->user_type,
            ')'                 => $category->),
            'deleted_at'        => $category->deleted_at,
            'url'               => [
                'public'    => trans_url('product/'.$category->getPublicKey()),
                'user'      => guard_url('product/category/'.$category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$category->status),
            'created_at'        => format_date($category->created_at),
            'updated_at'        => format_date($category->updated_at),
        ];
    }
}